> ## Documentation Index
> Fetch the complete documentation index at: https://docs.halth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update booking

> Update an existing booking



## OpenAPI

````yaml https://api.halth.com/v1/api-yaml patch /v1/members/{memberId}/bookings/{bookingId}
openapi: 3.0.0
info:
  title: HaltH API
  description: The API for the HaltH platform business services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.halth.com
    description: Production
  - url: https://api.stg.halth.com
    description: Staging
security: []
tags: []
paths:
  /v1/members/{memberId}/bookings/{bookingId}:
    patch:
      tags:
        - Member Booking
      summary: Update booking
      description: Update an existing booking
      operationId: MemberBookingController_update
      parameters:
        - name: memberId
          required: true
          in: path
          schema:
            type: string
        - name: bookingId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MemberBookingUpdateParams'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MemberBooking'
components:
  schemas:
    MemberBookingUpdateParams:
      type: object
      properties:
        serviceDate:
          format: date-time
          type: string
          description: The new service date
      required:
        - serviceDate
    MemberBooking:
      type: object
      properties:
        id:
          type: string
        createdAt:
          format: date-time
          type: string
        status:
          type: string
        serviceDate:
          format: date-time
          type: string
        servicePrice:
          type: number
        paid:
          type: boolean
        organisation:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
            brandImageUrl:
              type: string
          required:
            - id
            - name
        location:
          type: object
          properties:
            id:
              type: string
            address:
              type: object
            timeZone:
              type: string
          required:
            - id
            - address
            - timeZone
        provider:
          type: object
          properties:
            id:
              type: string
            firstName:
              type: string
            lastName:
              type: string
            profileImageUrl:
              type: string
          required:
            - id
        appointmentType:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
            durationMinutes:
              type: number
          required:
            - id
            - name
            - durationMinutes
        cancellationPolicy:
          $ref: '#/components/schemas/BookingCancellationPolicy'
      required:
        - id
        - createdAt
        - status
        - serviceDate
        - paid
        - organisation
        - location
        - provider
        - appointmentType
    BookingCancellationPolicy:
      type: object
      properties:
        enabled:
          type: boolean
          description: True if the cancellation policy is enabled
        rules:
          description: Cancellation policy rules
          allOf:
            - $ref: '#/components/schemas/CancellationPolicyRules'
        fee:
          description: Cancellation fee evaluation
          allOf:
            - $ref: '#/components/schemas/CancellationFee'
      required:
        - enabled
        - rules
    CancellationPolicyRules:
      type: object
      properties:
        clientCancel:
          $ref: '#/components/schemas/BookingPolicyRule'
        clientReschedule:
          $ref: '#/components/schemas/BookingPolicyRule'
      required:
        - clientCancel
        - clientReschedule
    CancellationFee:
      type: object
      properties:
        amount:
          type: number
          description: Flat amount or calculated percentage of the service price
        percent:
          type: number
          description: Fee percentage of the service price
        freeCancellationHours:
          type: number
          description: Hours before service date the client can cancel without fee
        latestNoFeeAt:
          format: date-time
          type: string
          description: Latest date the client can cancel without fee
        billable:
          type: boolean
          description: >-
            True if the cancellation policy has been violated and fee can be
            charged
      required:
        - amount
        - freeCancellationHours
        - latestNoFeeAt
        - billable
    BookingPolicyRule:
      type: object
      properties:
        enabled:
          type: boolean
        reason:
          type: string
          enum:
            - booking_paid
            - booking_service_date_past
            - booking_status_not_confirmed
            - booking_group_appointment_type
            - too_late
      required:
        - enabled

````